=== debian/control ===
Source: ros-indigo-visp-tracker
Section: misc
Priority: extra
Maintainer: Fabien Spindler <fabien.spindler@inria.fr>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-dynamic-reconfigure, ros-indigo-geometry-msgs, ros-indigo-image-proc, ros-indigo-image-transport, ros-indigo-message-generation, ros-indigo-nodelet, ros-indigo-resource-retriever, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf, ros-indigo-visp
Homepage: http://wiki.ros.org/wiki/visp_tracker
Standards-Version: 3.9.2

Package: ros-indigo-visp-tracker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-dynamic-reconfigure, ros-indigo-geometry-msgs, ros-indigo-image-proc, ros-indigo-image-transport, ros-indigo-message-generation, ros-indigo-message-runtime, ros-indigo-nodelet, ros-indigo-resource-retriever, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf, ros-indigo-visp
Description: Wraps the ViSP moving edge tracker provided by the ViSP visual servoing library into a ROS package.
 This computer vision algorithm computes the pose (i.e. position and orientation) of an object in an image. It is fast enough to allow object online tracking using a camera.
